<template name="artistSearch">
    <div class="artistSearch">
        <div id="generatedImageWrapper">
            <h4>Your wordcloud for <span class="artistName">{{artist.name}}</span>:</h4>
            <img class='generatedImage invertHover' src="{{generatedImage}}" style="border: 1px solid
{{generatedImageBorder}}">
            <div class="clearFix"></div>
            {{> shareit shareData}}
        </div>
        {{#if generatedImage}}
            <h3>Paint another with different parameters!</h3>
        {{else}}
            {{#unless status}}
                <h3>Paint a wordcloud with lyrics of your&nbsp;favorite&nbsp;artist!</h3>
            {{/unless}}
        {{/if}}
        {{#if showStatus}}
            {{> loading}}
            {{#each status}}
                <h3>{{this}}</h3><br>
            {{/each}}
            {{#if leaveEmail}}
                {{> leaveEmailAddress}}
            {{/if}}
        {{else}}
            <form class="artist-name">
                <input id="artistInput" name="artistName" placeholder="Artist name..." required autocomplete="off" autofocus>
                <br/>
                <button id="submitArtist" class="submitArtist" type="submit"
                        name="submit">Paint
                </button>
                {{> imageOptions}}
            </form>
        {{/if}}
        {{#if otherImages}}
            <br>
            <hr>
            <h5>Other images for <span class="artistName">{{artist.name}}</span></h5>
            {{> galleryRow images=otherImages}}
        {{/if}}
    </div>
</template>
